MDB(1)

NAME
mdb - MINIX 3 debugger

SYNOPSIS
mdb [-fc] file
mdb [-L|-l]log-file exec-file [core-file] [@command-file]

DESCRIPTION
mdb is the MINIX 3 debugger.

OPTIONS
Its command line options are:

-f  Just examine the specified file.

-c  Examine 'core' file. No exec-file will be supplied.

-Llog-file
    Log to file only

-llog-file
    Log to file. exec-file Unless the -c option has been specified, the exec-file is required. core-file The core-file is optional. If the core-file is supplied, mdb assumes that the user wishes to examine the core file. Otherwise mdb assumes that the user will run the exec-file and trace it. @command-file mdb executes command from command-file.

OVERVIEW
mdb commands are of the form: [ expression ] command expression can be of the form:

    address which defaults to text segment

    address overriden by T: for Text segment or D: for Data segment or S: for Stack segment

    symbol where mdb does a lookup for the symbol first as a text symbol and then as a data symbol.

command
    The help command is ?. For detailed help on a command type: command ?. A semi-colon can be used to separate commands on a line.

MDB COMMANDS
! Shell escape # Set Variable or register Tt Current call / Backtrace all /nsf Display for n size s with format f Xx [n] Disasm / & display reg for n instructions Rr a Run / with arguments a Cc [n] Continue with current signal / no signal n times Ii [n] Single step with / no signal for n instructions Mm t n Trace until / Stop when modified t type for n instructions k Kill Bb Display / Set Break-pt Dd Delete all / one break-points P Toggle Pagging Ll name Log to file name / and to standard output Vv Toggle debug flag / Version info V Version info e [t] List symbols for type t y Print segment mappings s [n] Dump stack for n words z [a] Trace syscalls with address a ? Help - short help @ file Execute commands from file Qq Quit / and kill traced process

SEE ALSO
trace(2).

DIAGNOSTICS

NOTES

BUGS

AUTHOR
Philip Murton and others